Skip to content

Get Document

Request

Get a specific document by id.

Security
bearer
Path
documentIdstringrequired
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
GET
/api/v1/patient-registry/document/{documentId}
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/document/{documentId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
Array [
idstringrequired
createdstring, (date-time)required
updatedstring, (date-time)required
subjectIdstringrequired
fileNamestringrequired
signedS3Urlstringrequired
sourcestring
Enum:"fhir""ccda""box""userUpload""patientFhir"
sourceIdstring
documentNamestring

Display name for this document

documentLocationstring
documentDatestring, (date-time)
contentTypestring
]
Response
[ { "id": "string", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z", "subjectId": "string", "source": "fhir", "sourceId": "string", "documentName": "string", "documentLocation": "string", "documentDate": "2019-08-24T14:15:22Z", "fileName": "string", "contentType": "string", "signedS3Url": "string" } ]